import { Plugin } from './plugin.types';

export interface BulkUpdateProgressPayload {
  processed: number;
  total: number;
  current_plugin_name: string;
}

export interface SingleUpdateResultPayload {
  original_file_path: string;
  plugin: Plugin | null;
  error: string | null;
}

export interface DownloadProgress {
  pluginName: string;
  version: string;
  percentage: number;
  status: 'downloading' | 'extracting' | 'installing' | 'completed' | 'error';
  message?: string;
}

export interface PremiumPluginInfo {
  name: string;
  version: string;
  url: string;
}